import pyb
 
bouton_vert = pyb.Pin("X1")
bouton_rouge = pyb.Pin("X2")
led = pyb.Pin("X3")
 
bouton_vert.init(pyb.Pin.IN, pyb.Pin.PULL_UP)
bouton_rouge.init(pyb.Pin.IN, pyb.Pin.PULL_UP)
led.init(pyb.Pin.OUT_PP)

clock=pyb.Timer(4)


def func(num):
    if led.value()==1:
        led.low()
    else:
        led.high()
    

def interruption_vert(line):
    clock.init(freq=2)
    clock.callback(func)
    

    
    
def interruption_rouge(line):
    led.high()
    clock.deinit()
    

irq_vert = pyb.ExtInt(bouton_vert, pyb.ExtInt.IRQ_FALLING,
                      pyb.Pin.PULL_UP, interruption_vert)
irq_rouge = pyb.ExtInt(bouton_rouge, pyb.ExtInt.IRQ_FALLING,
                      pyb.Pin.PULL_UP, interruption_rouge)
